# Resolving Names

### Get address by domain name

```javascript
import { evm } from '@jazdid/jaz-did-sdk';

await evm.resolver.getAddress({
    resolverAddress,
    registrarAddress,
    domainName: 'test001',
}, {chainId});
```

### Get domain name by address

```javascript
import { Services, evm } from '@jazdid/jaz-did-sdk';

// Call the contract to get data
await evm.resolver.getDomainName({
    reverseRegistrarAddress,
    registrarAddress,
    resolverAddress,
}, {chainId, account});

// Call service to get data
await Services.accountService.resolve({
    address: '0x089279aC5a9305B3F530d8439ae16cb678F48e31',
    chain: 'bnb',
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jazdid.com/developers/resolving-names.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
